Bug 755510

Summary: Review Request: gnome-shell-extension-system-monitor-applet - Gnome shell system monitor extension
Product: [Fedora] Fedora Reporter: nicolas.vieville
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: alexl, codezilla, collura, d-bugzilla, dradez, fedora, fedora, fedora, igeorgex, jan.public, jpeeler, mail, mlists, mszpak, package-review, pingou, steven.dake, tadej.j
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description nicolas.vieville 2011-11-21 06:00:43 EST
Spec URL: http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec
SRPM URL: http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
SRPM URL: http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm
Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

Description: Display system informations in gnome shell status bar, such as memory usage, cpu usage, network rates…

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

As the SPEC file can build this gnome-shell-extension for F-15 and F-16, here is the rpmlint outputs on F-15 files. I was unable to deal with rpmlint errors with F-15 srpm file on a F-16 host (confusion about "dist" and "fedora" macros I suppose). But to be complete, mock builds this package for F-15 and F-16 without any problems. I haven't tried with rawhide. Should I? This is my first review for Fedora and my skill in such things is not complete.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
Traceback (most recent call last):
  File "/usr/bin/rpmlint", line 379, in <module>
    main()
  File "/usr/bin/rpmlint", line 169, in main
    runChecks(pkg)
  File "/usr/bin/rpmlint", line 229, in runChecks
    check.check(pkg)
  File "/usr/share/rpmlint/SpecCheck.py", line 143, in check
    self.check_spec(pkg, self._spec_file)
  File "/usr/share/rpmlint/SpecCheck.py", line 564, in check_spec
    pkgfile = pkg.files()[url.split("/")[-1]]
KeyError: 'paradoxxxzero-gnome-shell-system-monitor-applet-1.99-78-g14ef176.tar.gz'

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc15.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

This review request comes after this bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=710386

I'm a newcomer in such things for Fedora and not very familiar with packaging, but I'm volunteer for this package. I'll try to understand and to respect all the documentation and guidelines available on the contributor's part of the Fedora Web site, but any comments on the question are welcome. Last but not the least, as a newcomer, I'm also seeking a sponsor.

Thanks in advance for your comments.

Cordially,


-- 
NVieville
Comment 1 Fabian Affolter 2011-11-21 13:28:06 EST
*** Bug 710386 has been marked as a duplicate of this bug. ***
Comment 2 nicolas.vieville 2011-11-29 06:41:42 EST
Hello,

New upstream version, so new SPEC and SRPMS files.

Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec
SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm
Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

$ rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.noarch.rpm
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
Traceback (most recent call last):
  File "/usr/bin/rpmlint", line 379, in <module>
    main()
  File "/usr/bin/rpmlint", line 169, in main
    runChecks(pkg)
  File "/usr/bin/rpmlint", line 229, in runChecks
    check.check(pkg)
  File "/usr/share/rpmlint/SpecCheck.py", line 143, in check
    self.check_spec(pkg, self._spec_file)
  File "/usr/share/rpmlint/SpecCheck.py", line 564, in check_spec
    pkgfile = pkg.files()[url.split("/")[-1]]
KeyError: 'paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz'

$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gnome-shell-extension-system-monitor-applet-1.99-1.fc15.noarch.rpm
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Thanks in advance for reviewing.

Cordially,


-- 
NVieville
Comment 3 Dan Radez 2011-11-29 16:05:53 EST
Initial review, although this requires an official sponsor, and I am not one.

I'm not sure how to handle you having multiple srpms. I've done this review on the Fedora 16 srpm
I thought one srpm should be able to build for 15 and 16.


[PASS] MUST: rpmlint must be run on the source rpm and all binary rpms the
build produces. The output should be posted in the review.

[PASS] MUST: The package must be named according to the Package Naming
Guidelines.

[PASS] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[PASS] MUST: The package must meet the Packaging Guidelines.

[PASS] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[PASS] MUST: The License field in the package spec file must match the actual
license.

[N/A] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[PASS] MUST: The spec file must be written in American English.

[PASS] MUST: The spec file for the package MUST be legible.

[FAIL] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ wget https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master/paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
--2011-11-29 15:31:53--  https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master/paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
...snip...   

2011-11-29 15:31:53 (465 KB/s) - “master” saved [21050/21050]

$ md5sum master paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
ce12f169445b20e3686b15a3e4c25d6b  master # wget
ce12f169445b20e3686b15a3e4c25d6b  paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz #extracted from srpm

[PASS] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture.

[PASS] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.

[PASS] MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[?PASS?] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

I see that the tranlations are installed into the forbidden directory but then %find_lang is called.
I think this is correct but need a follow up on this PASS

[N/A] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.

[PASS] MUST: Packages must NOT bundle copies of system libraries.

[N/A] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

[PASS] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.

[PASS] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[PASS] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example.

[PASS] MUST: Each package must consistently use macros.

[PASS] MUST: The package must contain code, or permissable content.

[PASS] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).

[PASS] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present.

[N/A] MUST: Header files must be in a -devel package.

[N/A] MUST: Static libraries must be in a -static package.

[N/A] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.

[N/A] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} =
%{version}-%{release}

[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[FAIL] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.

I see the .desktop file but not the desktop-file-install in the %install section

[PASS] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

[PASS] MUST: All filenames in rpm packages must be valid UTF-8.

[PASS] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.

[FAIL] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.

[PASS] SHOULD: The reviewer should test that the package builds in mock.

[PASS] SHOULD: The package should compile and build into binary rpms on all
supported architectures.

[PASS] SHOULD: The reviewer should test that the package functions as
described. A package should not segfault instead of running, for example.

[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.

[N/A] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg. A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.

[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.

[FAIL] SHOULD: your package should contain man pages for binaries/scripts. If
it doesn't, work with upstream to add them where they make sense.
Comment 4 nicolas.vieville 2011-12-03 13:30:39 EST
(In reply to comment #3)
> Initial review, although this requires an official sponsor, and I am not one.

Thanks for the review.

> I'm not sure how to handle you having multiple srpms. I've done this review on
> the Fedora 16 srpm
> I thought one srpm should be able to build for 15 and 16.

Yes this should be done, but in this case sources are different and not compatible, so 2 srpm files were build with 2 different sources tarball files.
Never mind, I've splitted the files in two independent sets of files: one for F-15 and one for F-16

> [ snip ]
>
> [FAIL] MUST: The sources used to build the package must match the upstream
> source, as provided in the spec URL. Reviewers should use md5sum for this task.
> If no upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> 
> $ wget
> https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master/paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
> --2011-11-29 15:31:53-- 
> https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master/paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
> ...snip...   
> 
> 2011-11-29 15:31:53 (465 KB/s) - “master” saved [21050/21050]
> 
> $ md5sum master
> paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
> ce12f169445b20e3686b15a3e4c25d6b  master # wget
> ce12f169445b20e3686b15a3e4c25d6b 
> paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
> #extracted from srpm

As sources tarball files can only be downloaded from github via web links redirected, wget fails probably in interpreting javascripts and then cannot rename the tarball file as the browser can do it. That's why you get a file named "master" instead of paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz. To deal with this and to try to be as closed as possible of Fedora packaging guides, I've modified the spec file and deleted the URL string and kept only the tarball file name. I also added comments in the spec file to explain how to download the right file. Hope this is the right manner to deal with such a case.


> [ snip ]
>
> [?PASS?] MUST: The spec file MUST handle locales properly. This is done by
> using
> the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> 
> I see that the tranlations are installed into the forbidden directory but then
> %find_lang is called.
> I think this is correct but need a follow up on this PASS

I have to install locales in %{_datadir}/locale/$LANG for each translation before calling %find_lang, because there's no Makefile with install section in it for this Gnome shell extension. I've tried several alternatives but none of them were satisfying and causes %find_lang to fail. Every suggestion on this point are welcome.

> [ snip ]
>
> [FAIL] MUST: Packages containing GUI applications must include a
> %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section. If you feel that your packaged GUI application does not need
> a .desktop file, you must put a comment in the spec file with your explanation.
> 
> I see the .desktop file but not the desktop-file-install in the %install
> section

Corrected: desktop-file-install added in the %install section


> [ snip ]
>
> [FAIL] SHOULD: The description and summary sections in the package spec file
> should contain translations for supported Non-English languages, if available.

Sorry for that, but the upstream sources lacks of it, and my skill in such things isn't sufficient to produce these translations. Any suggestions for that are welcome.

> [ snip ]
>
> [FAIL] SHOULD: your package should contain man pages for binaries/scripts. If
> it doesn't, work with upstream to add them where they make sense.

Upstream developers only provides the README.md file and didn't felt necessary to build a man page for this Gnome shell extension.

I hope this explanation would be sufficient and I'm open to any suggestion to modify the point that must be corrected. 

Here are the new URLs for SPEC files, the new URLs for SRPMS files and the new rpmlint logs.

F-16 Spec URL: http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL: http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm

F-15 Spec URL: http://dl.dropbox.com/u/25699833/Fedora/F-15/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-15 SRPM URL: http://dl.dropbox.com/u/25699833/Fedora/F-15/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

Rpmlint for F-16

$ rpmlint gnome-shell-extension-system-monitor-applet.spec
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-83-gaffc741.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint for F-15

$ rpmlint gnome-shell-extension-system-monitor-applet.specgnome-shell-extension-system-monitor-applet.spec: E: specfile-error error:  Fedora 15 needed. Please examine the spec file.
gnome-shell-extension-system-monitor-applet.spec: E: specfile-error error: line 3: Unknown tag: exit 1
gnome-shell-extension-system-monitor-applet.spec: E: specfile-error error: query of specfile gnome-shell-extension-system-monitor-applet.spec failed, can't parse
0 packages and 1 specfiles checked; 3 errors, 0 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm 
gnome-shell-extension-system-monitor-applet.src: E: specfile-error error:  Fedora 15 needed. Please examine the spec file.
gnome-shell-extension-system-monitor-applet.src: E: specfile-error error: line 3: Unknown tag: exit 1
gnome-shell-extension-system-monitor-applet.src: E: specfile-error error: query of specfile /tmp/rpmlint.gnome-shell-extension-system-monitor-applet-1.99-1.fc15.src.rpm.cdM6aC/gnome-shell-extension-system-monitor-applet.spec failed, can't parse
1 packages and 0 specfiles checked; 3 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gnome-shell-extension-system-monitor-applet-1.99-1.fc15.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Thanks for reviewing.

Cordially,


-- 
NVieville
Comment 5 Alex Lancaster 2011-12-03 14:24:18 EST
(In reply to comment #4)
> (In reply to comment #3)
> > Initial review, although this requires an official sponsor, and I am not one.
> 
> Thanks for the review.
> 
> > I'm not sure how to handle you having multiple srpms. I've done this review on
> > the Fedora 16 srpm
> > I thought one srpm should be able to build for 15 and 16.
> 
> Yes this should be done, but in this case sources are different and not
> compatible, so 2 srpm files were build with 2 different sources tarball files.
> Never mind, I've splitted the files in two independent sets of files: one for
> F-15 and one for F-16

Generally it's only necessary to review a single SRPM that's going into rawhide.  It's assumed that the maintainer can make the necessary changes (including using different versions) for packages that go into currently maintained releases (in this case F15 and F16).  Having said that, it probably doesn't do any harm to include the version for F15, but the reviewer should base his or her review on the version going into rawhide.  (I assume that the F16 and rawhide version will be the same).
Comment 6 nicolas.vieville 2011-12-05 09:52:04 EST
(In reply to comment #5)
> Generally it's only necessary to review a single SRPM that's going into
> rawhide.  It's assumed that the maintainer can make the necessary changes
> (including using different versions) for packages that go into currently
> maintained releases (in this case F15 and F16).  Having said that, it probably
> doesn't do any harm to include the version for F15, but the reviewer should
> base his or her review on the version going into rawhide.  

Thanks for pointing this to me.

> (I assume that the F16 and rawhide version will be the same).

Yes they will.

Thanks for your comments.

Cordially,


-- 
NVieville
Comment 7 nicolas.vieville 2011-12-11 19:19:05 EST
Hello,

New upstream version for Gnome >= 3.2 (eg F-16 and Rawhide), so new SPEC and SRPMS files and rpmlint logs.

Spec URL: http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec
SRPM URL: http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

$ rpmlint gnome-shell-extension-system-monitor-applet.spec
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-91-g6028eb4.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-91-g6028eb4.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-1.fc16.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

As usual thanks for your comments.

To be complete on this package, if https://extensions.gnome.org/ tends to catch all gnome-shell-extensions even in alpha stage, this package seems still needed to be build separately according to his author: 

https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/83

Probably this would not be true in the future, but for the moment, this review had to go forward. I'm still seeking for a sponsor too.

Cordially,


-- 
NVieville
Comment 8 nicolas.vieville 2011-12-23 12:54:04 EST
Hello,

No new upstream version this time, but new Gnome >= 3.2 SPEC files and then new SRPMS files more closed to Fedora packaging guide lines regarding package version (https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Version). I hope this new scheme conforms to the Fedora packaging guide lines for Pre-Release packages.
Caution: old SRPMS files with old scheme filename are no longer available on my dropbox shared folder.

I also added in this shared folder the SPEC file and SRPMS file for Rawhide eg F-17 (links below).

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc16.src.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPMS URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc17.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
Systeme/Fedora/gnome-shell-extension-system-monitor-applet/F-16/gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-91-g6028eb4.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc16.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-91-g6028eb4.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc16.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc17.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-91-g6028eb4.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git6028eb4.fc17.noarch.rpm 
gnome-shell-extension-system-monitor-applet.noarch: W: devel-file-in-non-devel-package /usr/bin/system-monitor-applet-config
gnome-shell-extension-system-monitor-applet.noarch: W: no-manual-page-for-binary system-monitor-applet-config
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

As usual thanks for your comments, and Merry Christmas.

Cordially,


-- 
NVieville
Comment 9 nicolas.vieville 2012-01-02 06:44:54 EST
Hello,

First, happy new year 2012 to Fedora's community!

As usual, new SPEC and SRPMS files according to the last upstream release. New rpmlint reports provided too. 

Caution: according to the new naming scheme dealing with git commits, previous SRPMS files are no longer available on my dropbox shared folder. I've also added links to the RPMS files to ease largest testing and installing this gnome-shell extension.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-93-g8149a27.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc16.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-93-g8149a27.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-93-g8149a27.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc17.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-93-g8149a27.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comment are welcome!

Cordially,


-- 
NVieville
Comment 10 nicolas.vieville 2012-01-18 09:21:18 EST
Hello,

New upstream git version. As usual new SPEC, SRPMS files and noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous SRPMS and RPMS files are no longer available on my dropbox shared folder.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git4bc2de2.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git4bc2de2.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git4bc2de2.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git4bc2de2.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-99-g4bc2de2.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc16.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-99-g4bc2de2.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-99-g4bc2de2.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-1.99-0.1.git8149a27.fc17.src.rpm 
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-99-g4bc2de2.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comment are welcome!

Cordially,


-- 
NVieville
Comment 11 nicolas.vieville 2012-01-25 06:26:44 EST
Hello,

Last upstream git version. As usual new SPEC, SRPMS files and noarch RPMS
packages for testing. New rpmlint reports provided too.

Caution: previous SRPMS and RPMS files are no longer available on my dropbox
shared folder.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

For F-16

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-100-g9f25961.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-100-g9f25961.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

For Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-100-g9f25961.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint gnome-shell-extension-system-monitor-applet-1.99-0.1.git9f25961.fc17.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-1.99-100-g9f25961.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comment are welcome! 

One last question: I would be very grateful if someone could give me an indication of the progress of this review. What could I do to make it successful? 
One last information: I'm still looking for a sponsor for this package (Blocks: FE-NEEDSPONSOR was tagged in the beginning of this review).

Thanks in advance for your responses.

Cordially,


-- 
NVieville
Comment 12 nicolas.vieville 2012-02-01 09:58:25 EST
Hello,

As I was indicating in my last post, I would be very grateful if someone could give me an indication of the progress of this review. What could I do to make it
successful? I'm also still looking for a sponsor for this package, if approved.

Today, new upstream release, and as usual new SPEC, SRPMS files and noarch RPMS
packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files are no longer available on my dropbox shared folder.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

For F-16

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec:
W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-105-g23bb914.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint 
gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-105-g23bb914.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

For Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-105-g23bb914.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc17.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-105-g23bb914.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Cordially,


-- 
NVieville
Comment 13 nicolas.vieville 2012-02-01 19:23:55 EST
Hello,

New upstream bug correction release, and as usual new SPEC, SRPMS files and noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files are no longer available on my
dropbox shared folder.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git7850c18.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git7850c18.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git7850c18.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git7850c18.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

For F-16

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec:
W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-107-g7850c18.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint 
gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-107-g7850c18.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

For Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-107-g7850c18.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-1.99-0.1.git23bb914.fc17.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-1.99-107-g7850c18.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Cordially,


-- 
NVieville
Comment 14 nicolas.vieville 2012-02-08 13:32:06 EST
Hello,

New upstream and bug correction release, and as usual new SPEC, SRPMS files and
noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files are no longer available on my
dropbox shared folder.

F-16 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc16.noarch.rpm

F-17 Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

For F-16

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec:
W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-0-g170c45d.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

rpmlint 
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc16.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-0-g170c45d.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

For Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-0-g170c45d.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git170c45d.fc17.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-0-g170c45d.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Cordially,


-- 
NVieville
Comment 15 Alex Lancaster 2012-02-08 13:58:36 EST
Thanks for the new spec, just as a reminder as I point out in comment #5, you only need to provide one spec file/SRPM pair of links for the package to build on rawhide/f17.  This is especially true in this case because the f16 and f17 spec are identical, putting in separate packages for f16 as well just makes it confusing to reviewers.

Dan: would you be able to continue your (unofficial) review?  I'll see if I can track down a sponsor.

Nicolas: the fastest way to get a sponsor (I am not a sponsor myself) is to do some additional unofficial reviews yourself and generally get to know other package maintainers outside the context of this particular package.
Comment 16 nicolas.vieville 2012-02-08 14:34:34 EST
(In reply to comment #15)
> Thanks for the new spec, just as a reminder as I point out in comment #5, you
> only need to provide one spec file/SRPM pair of links for the package to build
> on rawhide/f17.  This is especially true in this case because the f16 and f17
> spec are identical, putting in separate packages for f16 as well just makes it
> confusing to reviewers.

Noted! Next time I'll do it this way.
 
> Dan: would you be able to continue your (unofficial) review?  I'll see if I can
> track down a sponsor.

It would be great! Thanks in advance.

> Nicolas: the fastest way to get a sponsor (I am not a sponsor myself) is to do
> some additional unofficial reviews yourself and generally get to know other
> package maintainers outside the context of this particular package.

Thank you for these precious informations, I wasn't aware of. I'll try to know other package maintainers outside this context. But in a matter of reviewing, as a new comer in packaging (little experience in rpmfusion repository) I would not induce other packagers in error by an inappropriate or limited knowledge of the matter. I haven't integrated all the rules yet myself, and more important what are good ways to solve packaging problems and make appropriate suggestions. I'll try later when my skills in this area will be better or maybe are there any packages easy to examine.

Cordially,


-- 
NVieville
Comment 17 nicolas.vieville 2012-02-15 14:14:05 EST
Hello,

New upstream and bug correction release, and as usual new SPEC, SRPMS files and
noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files are no longer available on my
dropbox shared folder.

As mock build system has moved to F-18 for Rawhide, SRPMS and RPMS for rawhide are suffixed fc18. 

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc18.noarch.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc16.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-6-gd25def6.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-6-gd25def6.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Cordially,


-- 
NVieville
Comment 18 nicolas.vieville 2012-03-01 04:35:28 EST
Hello,

New upstream (display battery information added) and bug correction release, and as usual new SPEC, SRPMS files and noarch RPMS packages for testing. New rpmlint reports provided too.

I think it would be worth to notice that from Gnome-Shell 3.3/3.4 according to the new README.md file and the website, installation could be done in  
"One Click Install via https://extensions.gnome.org/extension/120/system-monitor/". As my production host is F-16, I haven't tested this feature and I cannot say if it's working.
Maybe this review become useless for these new Gnome-Shell versions, but still useful for older ones (F-16 for example)?

Caution: previous version of SRPMS and RPMS files are no longer available on my
dropbox shared folder.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git68ff8e4.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git68ff8e4.fc18.noarch.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git68ff8e4.fc16.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git68ff8e4.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-12-g68ff8e4.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd25def6.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-12-g68ff8e4.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Cordially,


-- 
NVieville
Comment 19 collura 2012-04-01 04:31:57 EDT
regarding comment#18

>I think it would be worth to notice that from Gnome-Shell 3.3/3.4 
>according to the new README.md file and the website, 
>installation could be done in "One Click Install via 
>https://extensions.gnome.org/extension/120/system-monitor/". 
>As my production host is F-16, I haven't tested this feature 
>and I cannot say if it's working.

i had recently tried the 
  'gnome-shell-extension-system-monitor'
install through firefox from https://extensions.gnome.org 
on fc17.

(one-click install is neet but was 
kind of unnerving that you can 
install/configure/remove a shell extension   
through firefox by enabling a firefox gnome plugin 
and going to https://extensions.gnome.org .  
concerned that would make for a nasty script vector. :'\)

'system-monitor' seemed to work realy nicely in the upper bar 
(though seemed to only showed info for 1 of the cpu) 

at some point in playing with the extension it 
seemed to conflict with the lower tray system monitor 
  gnome-shell-extension-systemMonitor-3.4.0-1.fc17.noarch  
and seemed to break login during the gnome-panel bar startup 
until i uninstalled 
  gnome-shell-extension-systemMonitor-3.4.0-1.fc17.noarch  
and cleared out 
  '.local/share/gnome-shell/extensions'

looking forward to both the 'system-monitor' and 'systemMonitor' extensions

thanks for working on the system-monitor
i will be glad when my gnome panel has all those graphs again. 
in withdrawl since fc14 ;')

keep up the good work,
'system-monitor' is a great companion to 'systemMonitor' :')
Comment 20 nicolas.vieville 2012-05-30 18:53:16 EDT
Hi community,

As F-17 has landed on my laptop, here are the latest SPECS, SRPMS and RPMS files for F-15 to rawhide, all updated to last upstream revision for each branch. Some adjustments had been necessary to still in gnome-shell 3.4 requirements for F-17 and rawhide, specially for locales. 
Note: F-15, F-16 are specifics versions of this package (SPEC file specific too). They are respectively build for gnome 3.0 and gnome 3.2 and will not work on any other release of gnome. F-17 and rawhide package require gnome >= 3.4.0.
Rpmlint complains as usual on the source file not found because of an invalid URL (rpmlint logs not provided in this message).

Caution: previous version of SPECS, SRPMS and RPMS files are no longer available on my dropbox shared folder.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git4c5d1ae.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git4c5d1ae.fc18.noarch.rpm

F-15 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-15/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git0ae5019.fc15.src.rpm

F-15 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-15/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-1.99-0.1.git0ae5019.fc15.noarch.rpm

F-16 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gite9e2196.fc16.src.rpm

F-16 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-16/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gite9e2196.fc16.noarch.rpm

F-17 SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git4c5d1ae.fc17.src.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git4c5d1ae.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

One last comment, this gnome-shell-extension since gnome version 3.4 seems to be able to be installed via https://extensions.gnome.org WEB site, but in this case it is a "per user" installation. RPM files provided here are globally installed and one can activate the extension using gnome-tweak-tool and then reload gnome-shell (alt+f2 and r).

Happy testing!

Cordially,


-- 
NVieville
Comment 21 nicolas.vieville 2012-06-09 12:44:02 EDT
Hello Community,

New upstream and bug correction release, and as usual new SPEC, SRPMS files and
noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide and F-17 are no longer available on my dropbox shared folder. RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in my previous message.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc18.noarch

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc17.noarch

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-83-g8f21209.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-83-g8f21209.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Happy testing,


-- 
NVieville
Comment 22 nicolas.vieville 2012-06-09 12:53:10 EDT
(In reply to comment #21)
Hello (again)

Corrected URLs for RPMS of my previous message #21 (.rpm extensions vanished while the copy/paste operation from the Dropbox URLs). Sorry for that !

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git8f21209.fc17.noarch.rpm

Cordially,

-- 
NVieville
Comment 23 Didier 2012-06-10 07:21:25 EDT
Nicolas,
Your continued efforts are much appreciated.
Comment 24 nicolas.vieville 2012-06-10 12:09:51 EDT
(In reply to comment #23)
> Nicolas,
> Your continued efforts are much appreciated.

Thanks for your encouragement! 


-- 
NVieville
Comment 25 nicolas.vieville 2012-06-20 06:29:45 EDT
Hello Community,

New upstream release, and as usual new SPEC, SRPMS files and noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide and F-17 are no longer available on my dropbox shared folder. RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitadfe35e.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitadfe35e.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitadfe35e.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-100-gadfe35e.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitadfe35e.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-100-gadfe35e.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Happy testing,


-- 
NVieville
Comment 26 nicolas.vieville 2012-06-27 05:01:32 EDT
Hello Community,

New upstream release (improvement in localization, but some strings need to translated, and nfs shares added to drive section), and as usual new SPEC, SRPMS files and noarch RPMS packages for testing. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide and F-17 are no longer available on my dropbox shared folder. RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git47007da.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git47007da.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git47007da.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-115-g47007da.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git47007da.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-115-g47007da.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Any comments are welcome! 

Happy testing,


-- 
NVieville
Comment 27 Jeff Peeler 2012-07-13 15:26:56 EDT
This mostly looks good, a few next steps:

1) Remove defattr as it is not required.

2) The github downloading stuff looks weird. I'm not sure where the gitsub part came from (although I'm also in the process of working this out for another package myself). Can you make your Source URL mirror the same format used in these other gnome shell extensions?

http://pkgs.fedoraproject.org/gitweb/?p=gnome-shell-extension-pomodoro.git;a=blob;f=gnome-shell-extension-pomodoro.spec;h=9eda6cca73b165ad6f0ab392cf740eae45a87aef;hb=f17

http://pkgs.fedoraproject.org/gitweb/?p=gnome-shell-extension-pidgin.git;a=blob;f=gnome-shell-extension-pidgin.spec;h=971ad94b5ef0868c2b47648735f3223c64646404;hb=f17

3) The translation stuff looks like it could be greatly simplified using find -exec.

4) I think it's policy to not restart gnome shell automatically, so go ahead and remove the post scriptlets.

You should also show the upstream maintainer this review, just for awareness.

I'll do a complete (unofficial) package review once all these things are completed.
Comment 28 nicolas.vieville 2012-07-15 12:56:27 EDT
Hello community,

Jeff, thank you for your advice. So here are the new SPEC, SRPMS files and noarch RPMS packages for testing and modified as possible as you asked for. Rpmlint output are provided too. Caution, as usual previous version of SRPMS and RPMS files for Rawhide and F-17 are no longer available on my dropbox shared folder. RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

> 1) Remove defattr as it is not required.

Done. Thanks for pointing this I had missed.

> 2) The github downloading stuff looks weird. I'm not sure where the gitsub
> part came from (although I'm also in the process of working this out for
> another package myself). Can you make your Source URL mirror the same format
> used in these other gnome shell extensions?

As you already noticed it in comment #3, this is a real problem. As I'm not the author of this project, I cannot modify the versioning schema he uses. The only URL to download the sources of this extension doesn't contain the name of the file you get when you download it with a web browser. So wget or curl get confused and store a file named "master" instead of a more complex tar.gz name.

To go further on this point, if you try curl -s --head https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master (eg. the download link on the github web page), you can see a new location. And if you try again curl -s --head https://nodeload.github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/master (the new location extracted from the above command), you can see an attachment: the real tar.gz name containing all the stuff looking weird, including the gitsub number. The only solution I've found to deal with this was to follow Fedora guidelines suggestions in including in the spec file all the comments necessary to understand where to download the source file and what to do with it.

In such a situation and even in looking at the URLs examples you provided, I'm a bit puzzled on what to do. If you can show me a satisfactory solution, I would be glad to apply it.

> 3) The translation stuff looks like it could be greatly simplified using
> find -exec.

Thanks to your advice, my skill in find and xargs command increased, but seeing the result for the same action as my previous shell script commands, it seems a bit cryptic, even if it complies with the "oneliner" directive. The biggest problem was to rename .pot file only if no .po file was present in each lang directory, and this before making any .mo file. The "if then" statement couldn't be avoided. I hope these changes meet Fedora recommandations and your request.

> 4) I think it's policy to not restart gnome shell automatically, so go ahead
> and remove the post scriptlets.

Done!


> You should also show the upstream maintainer this review, just for awareness.

I've already invited the upstream maintainer to follow this review a few months ago (https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/77). And more later, I submitted some patches to improve translations or some particular points.

> I'll do a complete (unofficial) package review once all these things are
> completed.

Thanks in advance! I hope the modifications I've made meet your requests.

To be complet on this subject, I've also commented the patch directives in the SPEC file as recommended in Fedora Packaging Guidelines.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

$ rpmlint gnome-shell-extension-system-monitor-applet.spec 
gnome-shell-extension-system-monitor-applet.spec: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc18.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0:
paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Thank you again and happy testing!

Cordially,


-- 
NVieville
Comment 29 Steven Dake 2012-07-16 14:11:49 EDT
Nicolas,

I'll sponsor you.

To join the packager group you need to be able to do the following things:
1. provide competent reviews of other people's packages
2. produce high quality packaging that passes the guidelines prior to review
3. help coach packagers on trouble points in their packaging

Read:

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

A package should follow the packaging guidelines:

http://fedoraproject.org/wiki/Packaging:Guidelines

Since you have submitted a package, I will ask you in the bugzilla to review a
couple other people's packages.  While you are not a packager, you can
still provide reviews to demonstrate you are capable of providing a
review of a new package.  To execute a review, you would follow the
review guidelines:

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Some example reviews I have done are here:

https://bugzilla.redhat.com/buglist.cgi?f1=flagtypes.name&list_id=79500&o1=equals&classification=Fedora&emailtype1=substring&query_format=advanced&emailassigned_to1=1&token=1338582948-9534ec43e4e74cdb0393ec72859aedfe&bug_status=NEW&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=CLOSED&email1=sdake%40redhat.com&v1=fedora-review%2B&component=Package%20Review

Once you have given a couple high quality reviews of other's packages,
I'll review your package submission and we will get it beat into
submission for Fedora.

When your ready to review atleast two other packages, find some FE-NEEDSPONSOR packages and use the FedoraReview tool to review those packages.

The FedoraReview tool can be found at: https://fedorahosted.org/FedoraReview/
Comment 30 Steven Dake 2012-07-16 14:13:29 EDT
Jeff,

Please continue to provide an unofficial review.

Thanks
-steve
Comment 31 Jeff Peeler 2012-07-18 15:03:30 EDT
Will follow up with the source github url in another comment. It does appear that I was wrong about find -exec simplifying the translations, so do as you please.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[X]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[?]: MUST Changelog in prescribed format. NOTE: the versioning may change based on github url changes.
[X]: MUST Package contains no bundled libraries.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[X]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[X]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[-]: MUST The spec file handles locales properly.
[X]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[X]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly. (trusting you here)
[X]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary. NOTE: is python3-gobject necessary? I have the extension installed on my system and that package is not installed.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[?]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it. NOTE: license in README.md.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[-]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[X]: SHOULD Package does not include license text files separate from
     upstream.
[X]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (paradoxxxzero-gnome-shell-system-monitor-applet_fix_gnome-
     shell_version_required.patch) Patch1 (paradoxxxzero-gnome-shell-system-
     monitor-applet_fix_gettext_domain.patch) Source0 (paradoxxxzero-gnome-
     shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[?]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues: see [!] and NOTES.

Rpmlint
-------
Checking: gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc17.noarch.rpm
          gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc17.src.rpm
gnome-shell-extension-system-monitor-applet.src: W: invalid-url Source0: paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    gnome-shell >= 3.4.0
    python  
    python3-gobject  

Provides
--------
gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git3117df5.fc17.noarch.rpm:
    
    gnome-shell-extension-system-monitor-applet = 2.0b1-0.1.git3117df5.fc17

MD5-sum check
-------------
Using local file /home/jpeeler/reviews/paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz as upstream
file:///home/jpeeler/reviews/paradoxxxzero-gnome-shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz :
  MD5SUM this package     : 5d0ae1c9b6bb9b3392751d65b80aacad
  MD5SUM upstream package : 5d0ae1c9b6bb9b3392751d65b80aacad


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 755510
Comment 32 Jeff Peeler 2012-07-18 16:42:28 EDT
This is what I had in mind for the github handling:

http://people.redhat.com/jpeeler/gnome-shell-extension-system-monitor-applet.spec

Basically the source URL pointing to:
https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/%{gitbranch}/%{github}-%{git}.tar.gz where %{git} is a sha from master.
Comment 33 nicolas.vieville 2012-08-02 10:15:07 EDT
(In reply to comment #29)
Steven,

> I'll sponsor you.

Thank you for the interst you show on this Review Request, and your proposal to sponsor me.

> To join the packager group you need to be able to do the following things:
> 1. provide competent reviews of other people's packages
> 2. produce high quality packaging that passes the guidelines prior to review
> 3. help coach packagers on trouble points in their packaging
> 
> [...]
> 
> Once you have given a couple high quality reviews of other's packages,
> I'll review your package submission and we will get it beat into
> submission for Fedora.
> 
> When your ready to review atleast two other packages, find some
> FE-NEEDSPONSOR packages and use the FedoraReview tool to review those
> packages.
> 
> The FedoraReview tool can be found at: https://fedorahosted.org/FedoraReview/

Sorry for my late response due to heavy load at work this past weeks (early summer is always very busy). And for completeness, it is now time for the summer holidays with family. I would therefore not available next weeks to answer your queries about this review. But I will surely do my best to answer all your requests as soon as my availability permits.

As you asked me for, I'll find some FE-NEEDSPONSOR packages to review, when ready and all Packaging Guidelines integrated (it's coming slowly... but it's coming). To avoid mistakes, is the right URL to pick-up some package to review is https://bugzilla.redhat.com/show_bug.cgi?id=177841?
Once this has been accomplished, is this Review Request the right place to let you know about it?

For today, in the little time I have left, I'll post the last SPEC/RPMS/SRPMS files I made according to the Jeff request.

Thanks again for your advice, your indications and to show me the right direction to follow.

Cordially,


-- 
NVieville
Comment 34 Steven Dake 2012-08-02 10:42:38 EDT
No problem on delays.  Yes 177841 is the right bug to find atleast two bugs to provide reviews of.

Regards
-steve
Comment 35 nicolas.vieville 2012-08-02 11:33:22 EDT
(In reply to comment #31)
Jeff,

Thank you very much for your review and your advice. This make this package more conform regarding Fedora Packaging Guidelines. Sorry for my late response, reasons are in comment #33 beginning.

> Will follow up with the source github url in another comment. It does appear
> that I was wrong about find -exec simplifying the translations, so do as you
> please.

You were right about find -exec, the translations are now in line with the "oneliner" directive and probably are much stronger in catching errors, although a little bit difficult to read. I have kept them.

> Package Review
> ==============
> 
> Key:
> - = N/A
> x = Pass
> ! = Fail
> ? = Not evaluated
> 
> 
> 
> ==== Generic ====
> [x]: EXTRA Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: EXTRA Spec file according to URL is the same as in SRPM.
> [X]: MUST Package is licensed with an open-source compatible license and
> meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: MUST Package successfully compiles and builds into binary rpms on at
>      least one supported primary architecture.
> [-]: MUST %build honors applicable compiler flags or justifies otherwise.
> [x]: MUST All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: MUST Buildroot is not present
>      Note: Unless packager wants to package for EPEL5 this is fine
> [?]: MUST Changelog in prescribed format. NOTE: the versioning may change
> based on github url changes.

I agree. Do you think that git commit numbers should be replaced by date? About version number, I try to follow upstream numbers and Packaging Guidelines. Any advice on resolving this point would be appreciated.

> [X]: MUST Package contains no bundled libraries.
> [x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
>      Note: Clean would be needed if support for EPEL is required
> [X]: MUST Sources contain only permissible code or content.
> [x]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: Note: defattr macros not found. They would be needed for EPEL5
> [X]: MUST Package requires other packages for directories it uses.
> [X]: MUST Package uses nothing in %doc for runtime.
> [x]: MUST Permissions on files are set properly.
> [x]: MUST Package does not contain duplicates in %files.
> [x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
> [-]: MUST Large documentation files are in a -doc subpackage, if required.
> [-]: MUST If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %doc.
> [-]: MUST The spec file handles locales properly.
> [X]: MUST Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: MUST Package is named using only allowed ascii characters.
> [X]: MUST Package is named according to the Package Naming Guidelines.
> [X]: MUST Package does not generate any conflict.
>      Note: Package contains no Conflicts: tag(s)
> [X]: MUST Package obeys FHS, except libexecdir and /usr/target.
> [X]: MUST Package must own all directories that it creates.
> [X]: MUST Package does not own files or directories owned by other packages.
> [?]: MUST Package installs properly. (trusting you here)

I've followed previous Review Request for this piece of software, and the Fedora existing gnome-shell extensions method to get where and how to install this package components. As gnome-shell extensions actually can be installed in users account tree, but this one is globally installed like Fedora provided extensions, I hope this is the good way.

> [X]: MUST Package is not relocatable.
> [!]: MUST Requires correct, justified where necessary. NOTE: is
> python3-gobject necessary? I have the extension installed on my system and
> that package is not installed.

Sorry, I missed it. It was necessary with python for settings in the previous version of this applet (F-15 and F-16). Fixed. I've also removed desktop-file-utils in BuildRequires section for the same reason.

> [x]: MUST Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: MUST Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [X]: MUST Spec file is legible and written in American English.
> [x]: MUST Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [-]: MUST Package contains systemd file(s) if in need.
> [x]: MUST File names are valid UTF-8.
> [x]: SHOULD Reviewer should test that the package builds in mock.
> [?]: SHOULD If the source package does not include license text(s) as a
>      separate file from upstream, the packager SHOULD query upstream to
>      include it. NOTE: license in README.md.

Requested upstream today. Hope it will be accepted!
https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/145

> [x]: SHOULD Dist tag is present.
> [x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
>      /usr/sbin.
> [-]: SHOULD Package functions as described.
> [X]: SHOULD Latest version is packaged.
> [X]: SHOULD Package does not include license text files separate from
>      upstream.
> [X]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Patch0 (paradoxxxzero-gnome-shell-system-monitor-applet_fix_gnome-
>      shell_version_required.patch) Patch1 (paradoxxxzero-gnome-shell-system-
>      monitor-applet_fix_gettext_domain.patch) Source0 (paradoxxxzero-gnome-
>      shell-system-monitor-applet-2.0b1-123-g3117df5.tar.gz)

One more thing I had to integrate in the packaging process. Thanks for catching it. Fixed

> [x]: SHOULD SourceX is a working URL.
> [-]: SHOULD Description and summary sections in the package spec file
> contains
>      translations for supported Non-English languages, if available.
> [?]: SHOULD Package should compile and build into binary rpms on all
> supported
>      architectures.

It should be as this package is made of javascript and depends on gnome-shell. I would appreciate if someone could show me how to meet this request and to verify it if necessary.

> [?]: SHOULD %check is present and all tests pass.

As there is no upstream test, what do you think if this point should be N/A?

> [?]: SHOULD Packages should try to preserve timestamps of original installed
>      files.

Any advice to achieve this would be appreciate if necessary.

> [x]: SHOULD Spec use %global instead of %define.
> 
> Issues: see [!] and NOTES.

Here are the new SPEC/SRPMS/RPMS files modified to conform your Review. Thanks to your comment #32, rpmlint warnings disappeared. I wasn't aware that such a method was possible to download some sources tarball from github. Very good advice.
As usual, older SPEC/RPMS/SRPMS files are no longer available on my Dropbox shared folder (F-15 and F-16 ones are still there).

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git21f7cce.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git21f7cce.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git21f7cce.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-2.0b1-0.1.git21f7cce.fc18.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Thank you again Jeff!

Cordially,


-- 
NVieville
Comment 36 Michael Schwendt 2012-08-02 12:23:07 EDT
Re: comment 34

Not really. Bug 177841 is just the need-sponsor queue:
http://fedoraproject.org/PackageReviewStatus/NEEDSPONSOR.html

It is not the full list of package review requests. That's this one:
http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 37 nicolas.vieville 2012-08-02 17:53:51 EDT
Hi again community,

Thanks Michael for pointing these links too.

In response to my own comment #35, upstream developer of this extension, just agreed my request and added a license file to his sources. So...

>> [?]: SHOULD If the source package does not include license text(s) as a
>>      separate file from upstream, the packager SHOULD query upstream to
>>      include it. NOTE: license in README.md.
>
>Requested upstream today. Hope it will be accepted!
>https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/145

... is done!

Then new SPEC/SRPMS/RPMS files (older removed) and rpmlint outputs.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd437c9c.fc18.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd437c9c.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd437c9c.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-2.0b1-0.1.gitd437c9c.fc18.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 38 nicolas.vieville 2012-08-31 05:55:30 EDT
Hello Community,

Quick upgrade from last upstream release before going further.
New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide and F-17 are no longer available on my dropbox shared folder. I've also added F-18 RPM for testing. 
RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc19.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc19.noarch.rpm

F-18 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-18/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 39 Taunus 2012-09-28 14:28:45 EDT
This works on F17:

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v18-0.1.git96a05d5.fc17.noarch.rpm

The current package gnome-shell-extension-systemMonitor.noarch from fedora rpm repositories does not work at all.

About the extension: it is difficult to tell which core is running fast with multi core processor.

Thanks for the package.
Comment 40 Taunus 2012-09-28 14:30:05 EDT
And I did not try the other packages
Comment 41 Taunus 2012-09-29 14:56:18 EDT
The cores show up properly after reboot/relogin.
Comment 42 nicolas.vieville 2012-10-03 09:15:37 EDT
Hello Community,

Quick upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide, F-18 and F-17 are no longer available on my dropbox shared folder. 
RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

(In reply to comment #39 #40 and #41)
Thanks for the feedback!

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitdce200f.fc19.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitdce200f.fc19.noarch.rpm

F-18 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-18/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitdce200f.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitdce200f.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-v24-0.1.gitdce200f.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 43 nicolas.vieville 2012-10-21 15:09:43 EDT
Hello Community,

Quick upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide, F-18 and F-17 are no longer available on my dropbox shared folder. 
RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

@Steven Dake, I didn't forget your comment #29: provide competent reviews of other people's packages. But as you told me in comment #34 that delays were not a problem, I think that such reviews will be provided in the end of the last quarter of 2012 (end of November - beginning of December probably). Heavy load with my full time job doesn't leave me the time to conduct these reviews with all the seriousness required. In the meantime, here are the latest packages and SPECS files links.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitec4b4b7.fc19.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitec4b4b7.fc19.noarch.rpm

F-18 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-18/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitec4b4b7.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.gitec4b4b7.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-v24-0.1.gitec4b4b7.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 44 nicolas.vieville 2013-01-13 16:47:12 EST
Hello Community,

Happy New Year Community!

Quick upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide, F-18 and F-17 are no longer available on my dropbox shared folder. 
RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20.

As I didn't forget Steven Dake comment #29 about providing competent reviews of other people's packages, I would like to have Community opinion on gnome-shell applets before trying to achieve such a task. This applet is present on gnome-shell extensions Web site, and can be installed from there (https://extensions.gnome.org/extension/120/system-monitor/). But the difference against installing from the gnome-shell extensions Web site and from this package is that Web site option is a per user installation, package is a system wide installation. Each solution has its advantages and disadvantages, but today I'm not sure that a system wide applet is the best way to do with this type of tool. Advises about that point would be really appreciated.

Rawhide Spec URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.git3f2c93e.fc19.src.rpm

Rawhide RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.git3f2c93e.fc19.noarch.rpm

F-18 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-18/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.git3f2c93e.fc18.noarch.rpm

F-17 RPM URL:
http://dl.dropbox.com/u/25699833/Fedora/F-17/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.git3f2c93e.fc17.noarch.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-v24-0.1.git3f2c93e.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 45 Didier 2013-01-14 02:46:48 EST
(In reply to comment #44)

> package is a system wide installation. Each solution has its advantages and
> disadvantages, but today I'm not sure that a system wide applet is the best
> way to do with this type of tool. Advises about that point would be really
> appreciated.

FWIW : I appreciate the automatic updates (being part of a repository) which come with a system-wide install.
Comment 46 Taunus 2013-01-24 05:27:12 EST
The Gnome 3 components should be available from repositories and be system wide.

Fixing the "broken by default" Gnome 3 by installing various plugins and extensions from web sites is not preferred.

I really hope that all the basic extensions will end up to repositories as soon as possible.
Comment 47 Steven Dake 2013-05-30 02:30:43 EDT
Nicolas,

My sincere apologies for what appears to be abandoning this review.  I can assure you this is not the case.  I was on leave from work for personal reasons.

I am happy to sponsor you and finish this review.  Can you provide an updated src.rpm with latest upstream and link to some sample reviews you have executed?

Also only provide a f18 src rpm or rawhide src rpm (and spec) in your review request as per the template.

Thanks
-steve
Comment 48 nicolas.vieville 2013-05-30 05:07:56 EDT
Steven,

> My sincere apologies for what appears to be abandoning this review.  I can
> assure you this is not the case.  I was on leave from work for personal
> reasons.

I never had a doubt about this. As free open sources software relies on volunteers, and as you already stated in this thread "delays are not a problem", it's Ok for me. 
For my part, I apologies too for not posting anything from January 2013, but actually I have to face some heavy load at work. Life and kids needs also some time. So my main problem on this review request is the lack of time to proceed to reviews of others review requests. I know this is bad, but actually, I can't release the time needed by reviewing others review requests. As this will also be new for me (I never reviewed someone else package), I have to inform myself on this subject and need the time to do this. I'm very sorry for that.


> I am happy to sponsor you and finish this review.  Can you provide an
> updated src.rpm with latest upstream and link to some sample reviews you
> have executed?

As the process to build new src.rpm and SPEC file, is largely automated on my side, I'll be able to provide new files in a short time (must be at home to achieve this because of truly constraining proxy settings at work).

But, for the review part, I have to make a real work on that question (maybe some tools can help in such a task - I must read the fedora-review manpage as soon as the time will be available), so delays will be inevitable. Sorry for that.

> Also only provide a f18 src rpm or rawhide src rpm (and spec) in your review
> request as per the template.

Yes, I'll try to do it, but I know that some users appreciate the availability of packages for their working Fedora release. That was the reason why I always tried to provide these packages ready to be installed for F-17 and F-18.

Thank you for your patience and your personal commitment in this review request, I really appreciate.

Cordially,


-- 
NVieville
Comment 49 nicolas.vieville 2013-06-05 18:09:47 EDT
Hello Community,

Quick upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.

Caution: previous version of SRPMS and RPMS files for Rawhide, F-18 and F-17 are no longer available on my dropbox shared folder. 
RPMS for F-15 and F-16 are still here and can be downloaded through the URL provided in message #20 (be careful dl.dropbox.com had been modified by dl.dropboxusercontent.com in these URLs).
New SPEC, SRPMS files and noarch RPMS packages are available for F-17, F-18, F-19 and Rawhide.

As Steven Dake asked for, I only provide Rawhide SPEC file and src rpm links. But files are still there for your convenience, so one can easily reconstruct the links for other Fedora release (replace Rawhide in the link with F-17, F-18 or F-19) and for other files (replace src.rpm with noarch.rpm and fc20 with fc17, fc18 or fc19).

Rawhide Spec URL:
http://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
http://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-v24-0.1.git6aac0f3.fc20.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-v24-0.1.git6aac0f3.fc20.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 50 Steven Dake 2013-06-06 15:56:11 EDT
Nicolas,

Did you happen to review any packages?  This is required for sponsorship.  Perhaps 2 or 3 packages would be sufficient.  You won't be able to approve them, but you can check them for problems.
Comment 51 Steven Dake 2013-07-28 00:58:20 EDT
Nicolas,

Before I can sponsor you, I need to see 2-3 package reviews you have executed.  If you are unable to review some packages to show you understand the packaging guidelines, I will be unable to sponsor you and step back from this review.

Regards
-steve
Comment 52 nicolas.vieville 2013-07-28 03:14:19 EDT
Steven,

Thank you for your constant support. As I said in my previous post, I want to go further in this process. But last months have been heavy loaded in life and at work. From today and for the next 3 weeks, I will be on vacation (family and kids - departure within 5 minutes) with no Internet connection at all. I'll execute the reviews you asked me for on my return (and an update of the package too).

Thank you so much for your patience.

Cordially,


-- 
NVieville
Comment 53 Steven Dake 2013-09-20 17:22:31 EDT
NVieville,

Hope your travel was enjoyable :) any updates on your end?
Comment 54 Pablo Rodríguez 2013-12-22 14:51:28 EST
Nicolas,

as Steven wrote three months ago, is there any update on this?

It is a really useful extension that I like to use with Fedora 20.

Thanks for your excellent work,

Pablo
Comment 55 nicolas.vieville 2013-12-23 12:15:34 EST
Hello Community,

As Pablo pointed it, this extension needs update in order to work with F-20, so: quick upgrade from last upstream release only for F-20 and Rawhide. New SPEC, SRPMS files and noarch RPMS packages for testing are provided. New rpmlint reports provided too.
As usual, new SPEC, SRPMS files and noarch RPMS packages are available for F-18, F-19, but be careful URLs were modified because last upstream updates broke this extension for gnome-shell 3.6 and 3.8. These RPMS were built from the old commit cc86a28, so in order to download them one have to compose an URL like the one provided below for Rawhide but have to replace "Rawhide" with "F-18" or "F-19", "git9ce5c5b" with "gitcc86a28", "fc21" with "fc18" or "fc19" and "src.rpm" with "noarch.rpm".
For F-20 one have to apply same scheme as above but have to keep "git9ce5c5b". To summarize here is one correct URL for the noarch.rpm file for F-20 ;) : https://dl.dropboxusercontent.com/u/25699833/Fedora/F-20/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git9ce5c5b.fc20.noarch.rpm
Happy downloading and testing.


Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git9ce5c5b.fc21.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git9ce5c5b.fc21.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 56 Pablo Rodríguez 2014-01-24 13:39:42 EST
They say no news is good news. But I’m afraid this might not be the case.

I cannot review the package, although I can point to an unsatisfied dependency (it might be a bug).

In preferences, the fan tab requires lm_sensors to be able to select a sensor. Well, I have all lm_sensors pagackage installed (even the debuginfo). Is another dependency missing here?

Many thanks for your help,

Pablo
Comment 57 nicolas.vieville 2014-01-25 14:56:04 EST
(In reply to Pablo Rodríguez from comment #56)
> They say no news is good news. But I’m afraid this might not be the case.
> 
> I cannot review the package, although I can point to an unsatisfied
> dependency (it might be a bug).
> 
> In preferences, the fan tab requires lm_sensors to be able to select a
> sensor. Well, I have all lm_sensors pagackage installed (even the
> debuginfo). Is another dependency missing here?

Thank you for reporting this upstream:

https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/236

I've already noticed this bug, but never tried to fix it, nor I reported upstream. I thought it was due to my laptop not so compatible with lm_sensors, but I'm (was) probably wrong.

Cordially,


-- 
NVieville
Comment 58 Pablo Rodríguez 2014-01-25 18:22:33 EST
(In reply to nicolas.vieville from comment #57)
> Thank you for reporting this upstream:
> 
> https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/236
> 
> I've already noticed this bug, but never tried to fix it, nor I reported
> upstream. I thought it was due to my laptop not so compatible with
> lm_sensors, but I'm (was) probably wrong.

Well, I don’t know whether my laptop is supported by lm_sensors. I think it might be, since my laptop is rather old.

I guess packaging is right, although the software itself might not be totally bug-free.

Cheers,

Pablo
Comment 59 nicolas.vieville 2014-03-19 13:05:10 EDT
Hello Community,

Last upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20 and Rawhide). New rpmlint reports provided too.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git32dff76.fc21.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git32dff76.fc21.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 60 nicolas.vieville 2014-05-07 12:49:48 EDT
Hello Community,

Last upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20 and Rawhide - see above to know how to compose the URL to download RPMS files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20 and Rawhide are no longer available.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git1b632f9.fc21.src.rpm


Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git1b632f9.fc21.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 61 Pablo Rodríguez 2014-05-07 13:47:42 EDT
Many thanks for your new release, Nicolas. I recompiled and installed it on my computer.

Any plans to include this package in the repositories?
Comment 62 nicolas.vieville 2014-10-05 08:46:47 EDT
Hello Community,

Last upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, ***new*** F-21 and Rawhide - see above to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20 and Rawhide are no longer available.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.gita232cb0.fc22.src.rpm


Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.gita232cb0.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 63 Jeff Peeler 2014-10-06 10:56:38 EDT
This review is nearly 3 years old. Nicolas, it looks like over time you've been informed several times that you need to review other packages to become a packager, which would allow you to maintain this package in the official fedora repository. I assure you that over these 3 years, you've learned enough to review some other packages. However, if you don't care to become a fedora packager, may I suggest putting this package in a copr repo?

https://fedorahosted.org/copr/wiki/UserDocs

Another option would be to find an existing packager to take ownership. Perhaps asking on the dev list would be appropriate.

In short, I recommend one of the following (ordered by preference):
A. Become a packager. The primary hurdle holding you back is two package reviews.
B. If you want to maintain the package yourself and don't want to do package reviews, create a copr repo for your package.
C. Find a packager to take full ownership of this package.

I hope that you'll choose one of the above options and not continue updating this bug indefinitely. Choosing that path is not really resolvable. Let me know if you have any questions!

Jeff
Comment 64 nicolas.vieville 2014-10-12 13:37:54 EDT
Jeff,

Thank you for your message and the clarification you provided. I know that I must review some other packages in order to become a Fedora packager if I want this package being a part of Fedora. I thought (maybe my fault) that I could find the time to achieve at least two reviews. My full time job isn't in the IT and is taking me much time (it's a full time job ;)) ), I can only work on packaging on my free time (after the time for family). 
However, as you suggested it, and in order to comply with your option A, I approached two candidates for packaging through there review requests asking them if they would be interested by an unofficial review from my part. No response for the moment. 
Maybe, I should have choose more recent review requests. I'll wait for a little time about them, and will choose more recent review request in case I get no response in the next week.

I thank you very much for your encouragement, but when I look at the documentation about packaging for Fedora, I find some topics on which I think I don't have the knowledge necessary to achieve a review on myself without a great investment in time to get them (for example packages containing binary libraries, or ruby, python, .js packages). But, if needed I will find the time to document myself (it's not so difficult, it's only a question of time).

Thank you again for your interest.

I'll post here and let you know as soon as I have news about the unofficial reviews.

Cordially,


-- 
NVieville
Comment 65 Jeff Peeler 2014-10-13 10:44:42 EDT
You don't need to ask permission for reviewing other packages. Just review the package so that you can show a sponsor, "Hey, I know enough about packaging to be trusted to generally do the right thing." A good start is utilization of the fedora-review tool (mentioned here http://fedoraproject.org/wiki/Package_Review_Process). Perhaps you can even find another gnome extension to package in order to use the knowledge you've learned.

I understand that there is a lot to learn about packaging, but your reviews nor your official package submission has to be perfect. That's one thing the entire process is designed to do - that is correct your mistakes.

I can't approve you to be a packager, but I can look over your package reviews to make it easier for your package reviews to be reviewed. I'm trying to do everything I can for you here :) That said, if nothing happens within a very long time span, say 6 months, I'll probably un-CC myself from this bug.
Comment 66 nicolas.vieville 2014-10-15 11:50:25 EDT
(In reply to Jeff Peeler from comment #65)
> You don't need to ask permission for reviewing other packages. 

Ok.

> Just review
> the package so that you can show a sponsor, "Hey, I know enough about
> packaging to be trusted to generally do the right thing." A good start is
> utilization of the fedora-review tool (mentioned here
> http://fedoraproject.org/wiki/Package_Review_Process). Perhaps you can even
> find another gnome extension to package in order to use the knowledge you've
> learned.

Thanks. I've already search in the review request list for some packages I've got some knowledge, and it will be my preferred search method.

> I understand that there is a lot to learn about packaging, but your  reviews
> nor your official package submission has to be perfect. That's one thing the
> entire process is designed to do - that is correct your mistakes.
> 
> I can't approve you to be a packager, but I can look over your package
> reviews to make it easier for your package reviews to be reviewed. I'm
> trying to do everything I can for you here :) 

Thank you very much. I really appreciate it.

> That said, if nothing happens
> within a very long time span, say 6 months, I'll probably un-CC myself from
> this bug.

Understood and I found this normal.

I'll let you know what, when and where.

Cordially,


-- 
NVieville
Comment 67 nicolas.vieville 2014-10-20 06:45:33 EDT
Hello,

Last upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, F-21 and Rawhide - see above to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20, F-21 and Rawhide are no longer available.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git59767af.fc22.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git59767af.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

In order to make this review going further, I began to make an unofficial review of the package gwakeonlan:

https://bugzilla.redhat.com/show_bug.cgi?id=1060419

I'll let you know about the second package review later.

Cordially,


-- 
NVieville
Comment 68 Pablo Rodríguez 2014-10-20 12:31:21 EDT
Nicholas,

many thanks for the new package.

I have just downloaded and recompiled for F20 with "rpmbuild --rebuild --clean".

But when I try to install it with "rpm -Uhv", I get the following warning:

# rpm -Uhv rpm/RPMS/noarch/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git59767af.fc20.noarch.rpm 
Preparing...                          ################################# [100%]
	package gnome-shell-extension-system-monitor-applet-0.0.1-0.1.gita232cb0.fc20.noarch (which is newer than gnome-shell-extension-system-monitor-applet-0.0.1-0.1.git59767af.fc20.noarch) is already installed

I wonder whether there is something wrong in the package.

Many thanks for your help,

Pablo
Comment 69 nicolas.vieville 2014-10-20 12:55:24 EDT
Pablo,

As this package is not yet approved, I voluntary do not bump release version for each upgrade I do. The only thing I do is to update the git hash number, but as this is a hash, new upgrade doesn't mean that this number will be superior to the previous one. So to achieve the installation, I usually proceed with one of the two command lines below, depending of the git hash number:

yum install --nogpgcheck /path_to/the_package.rpm

or

yum downgrade --nogpgcheck /path_to/the_package.rpm

Hope this will help you to install this package in all cases.

Cordially,


-- 
NVieville
Comment 70 nicolas.vieville 2014-10-22 12:35:45 EDT
Hello,

New unofficial review began for python-pygeoip packages here:

https://bugzilla.redhat.com/show_bug.cgi?id=1155400

Another one has also began but without any response for the moment (maybe this one is too old):

https://bugzilla.redhat.com/show_bug.cgi?id=1039323

These make 3 reviews began (with the one cited above in comment #67). Hope this will fit the Fedora packaging recommendations.

Any comment about this are welcome.

Cordially,


-- 
NVieville
Comment 71 Pablo Rodríguez 2014-10-22 14:02:23 EDT
(In reply to nicolas.vieville from comment #69)
> Pablo,
> 
> As this package is not yet approved, I voluntary do not bump release version
> for each upgrade I do. The only thing I do is to update the git hash number,
> but as this is a hash, new upgrade doesn't mean that this number will be
> superior to the previous one.

Sorry for the noise, Nicolas. I didn’t know this was intended.


Pablo
Comment 72 nicolas.vieville 2014-10-22 17:59:39 EDT
Pablo,

According to these rules https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Snapshot_packages I shouldn't have used only the git hash in the version of the package. Simply adding the date before the git hash for each update would have not lead you in a puzzled situation. Apologies for that. I'll try to correct this for the next updates.

Thank you for pointing this issue.

Cordially,


-- 
NVieville
Comment 73 Jeff Peeler 2015-01-20 15:38:34 EST
Sorry about the silence here. Your package reviews seem good and I think you've learned a little more about what the expectations are for Fedora in doing them. This bug properly has FE-NEEDSPONSOR set (I can't sponsor), so if you don't hear anything in a few days (since this comment will produce an email) I'd reach out to the fedora development list. I believe that all that's required is for a sponsor to approve your review and then an scm request can be done.
Comment 74 nicolas.vieville 2015-01-22 05:48:44 EST
(In reply to Jeff Peeler from comment #73)
> Sorry about the silence here. 

Delay is not a problem for me.

> Your package reviews seem good and I think you've learned a little more about 
> what the expectations are for Fedora in doing them. This bug properly has 
> FE-NEEDSPONSOR set (I can't sponsor), so if you don't hear anything in a few
> days (since this comment will produce an email) I'd reach out to the fedora 
> development list. I believe that all that's required is for a sponsor to 
> approve your review and then an scm request can be done.

Thanks for your comment and all you've done for this review request.

Cordially,


-- 
NVieville
Comment 75 nicolas.vieville 2015-01-28 16:21:26 EST
Hello,

Last upgrade from last upstream release. New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, F-21 and Rawhide - see above to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20, F-21 and Rawhide are no longer available.

Be careful, as Pablo noted it, and to conform the packaging naming guidelines, correct snapshot version number is now used.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150128gitccafeef.fc22.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150128gitccafeef.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 76 nicolas.vieville 2015-01-28 18:18:32 EST
Hello,

Last upgrade from last upstream release with bug fix in menu. 
New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, F-21 and Rawhide - see above to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20, F-21 and Rawhide are no longer available.

Sorry for the two posts in a short time, but the bug introduced in the previous one shouldn't be kept longer.
 
Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150129git6b9973e.fc22.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150129git6b9973e.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 78 nicolas.vieville 2015-02-04 13:06:31 EST
Hello,

Last upgrade from last upstream release.
 
New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, F-21 and Rawhide - see above to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20, F-21 and Rawhide are no longer available.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150129gitd04c136.fc22.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150129gitd04c136.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 79 nicolas.vieville 2015-02-04 13:12:34 EST
Sorry, wrong URL for the Rawhide SRPM URL and wrong rpmlint message in the previous message, here are the right ones:

https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150204gitd04c136.fc22.src.rpm

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150204gitd04c136.fc22.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 80 Steven Dake 2015-02-09 10:32:29 EST
Nicolas,

I will add you to the sponsor group and review this package hopefully today but definitely this week.  There may be a delay, as I'm not sure if i still have the appropriate permissions.

Regards
-steve
Comment 81 nicolas.vieville 2015-02-09 13:20:23 EST
Steven,

Thank you for patience. As I have already noted in this review, delay is not a problem for me ;)

Thank you for all you did in this review.

Regards,


-- 
NVieville
Comment 82 nicolas.vieville 2015-04-15 15:46:57 EDT
Hello Community,

Last upgrade from last upstream release (added support for gnome 3.16).
 
New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-20, F-21, ***new*** F-22 and Rawhide - see above #55 to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-20, F-21 and Rawhide are no longer available.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150415git44abf9a.fc23.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150415git44abf9a.fc23.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 83 Pablo Rodríguez 2015-08-30 14:17:26 EDT
Hi guys,

I hope you have enjoyed your vacations.

Sorry for asking, but are there any news on this package?

Many thanks for your help,

Pablo
Comment 84 nicolas.vieville 2015-08-31 02:16:24 EDT
(In reply to Pablo Rodríguez from comment #83)
> Hi guys,
> 
> I hope you have enjoyed your vacations.

Yes thanks. As my responsiveness on this review request has been largely dependant of my full time job (and my vacations too ;) - see above messages), I didn't want to "ping" to much last months.

> Sorry for asking, but are there any news on this package?

Upstream source hasn't been modified since my last message (last SPEC and SRPM file on #82). 
As I'm a newcomer, I was also seeking for a sponsor, and Steven Dake kindly proposed to help me, and I must thank him hugely for his patience in this thread.

> Many thanks for your help,

You're welcome.

Feel free to make any comment about this review request.

Cordially,


-- 
NVieville
Comment 85 Jens Lody 2015-08-31 03:47:51 EDT
Informal review:

From a quick look:
you need to run glib-compile-schemas in %postun and %posstrans, except for most recent rawhide with file-triggers, see my review-request: https://bugzilla.redhat.com/show_bug.cgi?id=1246903 .
Running glib-compile-schemas in %build is most likely unneeded.
You just need to install the xml.file in the the systems schemas-folder.

You need to reflect the mixed licenses in the License-tag and add ann additional comment: e.g. "# The entire source code is GPLv3+ except convenience.js, which is BSD\nLicense:        GPLv3+ and BSD" .

Two javascript-files and the two shell-scripts are without a license-header, this might be okay, but probably it should be stated explicitely in the license-file (COPYING). AN upstream is probably the best idea to get rid of this problem.

cleaning the buildroot is not needed and shuld not be doen (except for older EPEL),

The schams subfolder in the shell-extensions directory is not needed (just for local installs below "~/.local" .

You do not own the shell-extensions folder, see also my review-request for this issue and a solution.
I think the %if-clause at the top of the spec-file is not needed any longer, because FC17 has reached EOL several years ago.

That's all after a quick look.

I try to look into it deeper after coming back from work.

Jens
Comment 86 nicolas.vieville 2015-09-30 17:28:23 EDT
Hello Community,

Last upgrade from last upstream release (added support for gnome 3.18).

Thanks to Jens Lody the spec file has been reworked to fit his advices.
Thank you Jens.
 
New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-21, F-22, ***new*** F-23 and Rawhide - see above #55 to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-21, F-22 and Rawhide are no longer available.
As F-20 reached EOL, corresponding files won't be updated any more, and will still in a previous version.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150930git81d1c08.fc24.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20150930git81d1c08.fc24.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 87 Upstream Release Monitoring 2015-10-23 15:12:20 EDT
pbrobinson's scratch build of gnome-dvb-daemon?#451a118009234eac9e3f06f465b00cf93478a5d5 for git://pkgs.fedoraproject.org/gnome-dvb-daemon?#451a118009234eac9e3f06f465b00cf93478a5d5 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11560895
Comment 88 nicolas.vieville 2016-04-05 10:50:15 EDT
Hello Community,

Last upgrade from last upstream release (added support for gnome 3.20).

New SPEC, SRPMS files and noarch RPMS packages for testing are provided (F-22, F-23, ***new*** F-24 and Rawhide - see above #55 to know how to compose the URL to download RPMS noarch files). New rpmlint reports provided too. Previous RPMS, SRPMS en SPEC files for F-22, F-23 and Rawhide are no longer available.
As F-21 reached EOL, corresponding files won't be updated any more, and will still in a previous version.

Rawhide Spec URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet.spec

Rawhide SRPM URL:
https://dl.dropboxusercontent.com/u/25699833/Fedora/Rawhide/gnome-shell-extension-system-monitor-applet/gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20160405git8b31f07.fc25.src.rpm

Project URL: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet

rpmlint for Rawhide

rpmlint gnome-shell-extension-system-monitor-applet.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint gnome-shell-extension-system-monitor-applet-0.0.1-0.1.20160405git8b31f07.fc25.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Cordially,


-- 
NVieville
Comment 89 Marcin Zajaczkowski 2016-06-29 17:34:16 EDT
I would be good to have it directly in Fedora. Steven, will you have some time to do the review?
Comment 90 Steven Dake 2016-06-30 09:39:44 EDT
Marcin,

I had a job change about 2 years ago, and as a result have not had time to stay on top of the Fedora packaging process.  I typically work 12-16 hour days 5-7 days a week so I really don't have time to balance Fedora in my schedule.

I intend to revoke my proven packager and fedora package reviewer status.  I won't be able to finish this review.  In the future if I end up working on Fedora again, I may consider applying as a package reviewer.

I apologize for not letting folks in this review know my personal situation earlier.

Regards
-steve
Comment 91 Marcin Zajaczkowski 2016-06-30 16:22:43 EDT
Sure, I understand. Thanks for a quick response.

Good luck with finding your work-life balance!
Comment 92 nicolas.vieville 2016-07-09 06:01:44 EDT
Hello Steven,

Thank you very much for your answer, and like Marcin and what I've already said in this review, I understand completely your dilemma with your schedules. FOSS for much of its users-contributors has more to do with hobby and convictions than full time job. It's somewhere all its charm and uniqueness.
I understand your apologizes, but don't worry, we all do our best in much as we can.

Good luck in your new life.

Regards,


-- 
NVieville